using System;
using System.Collections.Generic;
using System.Linq;
using AvaloniaTeachersDB.Models;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace AvaloniaTeachersDB.ViewModels
{
	public class PersonalInformationViewModel : ReactiveObject
	{
        public static _43pToropovaContext DBConnection = new _43pToropovaContext();

        public List<Teacher> listTeachers => DBConnection.Teachers
            .Include(x => x.IdGenderNavigation)
            .Include(x => x.TeacherCourses).ThenInclude(x => x.IdCourseNavigation)
            .Include(x => x.TeachersSubjects).ThenInclude(x => x.IdSubjectsNavigation)
            .ToList();
    }
}