﻿using System;
using System.Collections.Generic;

namespace AvaloniaTeachersDB.Models;

public partial class Teacher
{
    public int IdTeachers { get; set; }

    public string? SurnameTeacher { get; set; }

    public string? NameTeacher { get; set; }

    public string? PatronymicTeacher { get; set; }

    public int? IdGender { get; set; }

    public DateOnly? BirthdayTeacher { get; set; }

    public int? ExperienceTeacher { get; set; }

    public string? Mail { get; set; }

    public string? Phone { get; set; }

    public virtual Gender? IdGenderNavigation { get; set; }

    public virtual ICollection<TeacherCourse> TeacherCourses { get; set; } = new List<TeacherCourse>();

    public virtual ICollection<TeachersSubject> TeachersSubjects { get; set; } = new List<TeachersSubject>();
}
